package com.iformall.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * 是否提醒：0-未提醒;1-已提醒
 */
public enum EnumInvestRemindStatus {
	UN_REMINDED(0, "未提醒"),
	REMINDED(1, "已提醒"),
	;

	public static EnumInvestRemindStatus getEnum(Integer code) {
		for (EnumInvestRemindStatus value : values()) {
			if (value.getCode().equals(code)) {
				return value;
			}
		}
		return null;
	}

    @EnumValue
	private final Integer code;
	private final String info;

	EnumInvestRemindStatus(Integer code, String info) {
		this.code = code;
		this.info = info;
	}

	@JsonValue
	public Integer getCode() {
		return code;
	}

	public String getInfo() {
		return info;
	}
}
